import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:thesis_shop/screens/cart/total_price_text.dart';
import 'package:thesis_shop/stores/store_injector.dart';
import 'package:thesis_shop/widgets/user_switch.dart';

import 'cart_item_list.dart';

class CartScreen extends StatelessWidget {
  const CartScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Warenkorb'),
        actions: const [UserSwitch()],
      ),
      body: Column(
        mainAxisSize: MainAxisSize.max,
        children: [
          Expanded(
            child: Observer(
              builder: (context) =>
                  CartItemList(items: StoreInjector.of(context).cartStore.cart),
            ),
          ),
          const TotalPriceText(),
        ],
      ),
    );
  }
}
