import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:thesis_shop/models/product.dart';
import 'package:thesis_shop/stores/store_injector.dart';
import 'package:thesis_shop/widgets/number_picker.dart';

class ProductItem extends StatelessWidget {
  final Product product;
  const ProductItem({Key? key, required this.product}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final itemStore =
        StoreInjector.of(context).cartStore.cartItemStoreOfProduct(product);
    return Observer(
      builder: (context) => ListTile(
        title: Text('${product.title} (${product.priceAsString}€/Stück)'),
        trailing: NumberPicker(
          value: itemStore.quantity,
          onUp: itemStore.increment,
          onDown: itemStore.decrement,
        ),
      ),
    );
  }
}
