import 'package:flutter/widgets.dart';
import 'package:thesis_shop/service/product_service.dart';
import 'package:thesis_shop/stores/cart_store.dart';
import 'package:thesis_shop/stores/product_store.dart';
import 'package:thesis_shop/stores/user_store.dart';

class StoreInjector extends InheritedWidget {
  final UserStore userStore = UserStore();
  late final CartStore cartStore;
  late final ProductStore productStore;

  StoreInjector({
    Key? key,
    required ProductService productService,
    required Widget child,
  }) : super(key: key, child: child) {
    productStore = ProductStore(productService, userStore);
    cartStore = CartStore(productStore);
  }

  static StoreInjector of(BuildContext context) {
    final StoreInjector? result =
        context.dependOnInheritedWidgetOfExactType<StoreInjector>();
    assert(result != null, 'No StoreInjector found in context');
    return result!;
  }

  @override
  bool updateShouldNotify(StoreInjector oldWidget) {
    return false;
  }
}
